Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenCommonBaseImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenCommonBase

Direct Known Subclasses:
  GenChildContainerImpl, GenDiagramImpl, GenLabelImpl, GenLinkImpl

    public abstract class GenCommonBaseImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements GenCommonBase

An implementation of the model object 'Gen Common Base'.

The following features are implemented:

- `Diagram Run Time Class`
- `Visual ID`
- `Element Type`
- `Edit Part Class Name`
- `Item Semantic Edit Policy Class Name`
- `Notation View Factory Class Name`
- `Viewmap`
- `Styles`
- `Behaviour`
- `Sans Domain`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList<Behaviour>` `behaviour` The cached value of the '`Behaviour`' containment reference list
`protected org.eclipse.emf.codegen.ecore.genmodel.GenClass` `diagramRunTimeClass` The cached value of the '`Diagram Run Time Class`' reference
`protected static java.lang.String` `EDIT_PART_CLASS_NAME_EDEFAULT` The default value of the '`Edit Part Class Name`' attribute
`protected java.lang.String` `editPartClassName` The cached value of the '`Edit Part Class Name`' attribute
`protected ElementType` `elementType` The cached value of the '`Element Type`' containment reference
`protected static java.lang.String` `ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT` The default value of the '`Item Semantic Edit Policy Class Name`' attribute
`protected java.lang.String` `itemSemanticEditPolicyClassName` The cached value of the '`Item Semantic Edit Policy Class Name`' attribute
`protected static java.lang.String` `NOTATION_VIEW_FACTORY_CLASS_NAME_EDEFAULT` The default value of the '`Notation View Factory Class Name`' attribute
`protected java.lang.String` `notationViewFactoryClassName` The cached value of the '`Notation View Factory Class Name`' attribute
`protected static boolean` `SANS_DOMAIN_EDEFAULT` The default value of the '`Sans Domain`' attribute
`protected org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass>` `styles` The cached value of the '`Styles`' reference list
`protected Viewmap` `viewmap` The cached value of the '`Viewmap`' containment reference
`protected static int` `VISUAL_ID_EDEFAULT` The default value of the '`Visual ID`' attribute
`protected int` `visualID` The cached value of the '`Visual ID`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenCommonBaseImpl()`

Method Summary
`protected static java.lang.String` `asJavaConstantName(java.lang.String name)`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `basicGetDiagramRunTimeClass()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetElementType(ElementType newElementType, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetViewmap(Viewmap newViewmap, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<Behaviour>` `getBehaviour()`

`

`<T extends Behaviour> java.util.List<T>`

`

`getBehaviour(java.lang.Class<T> behaviourClass)`
Filter list of behavior to instances of particular kind.

`abstract java.lang.String` `getClassNamePrefix()`
`java.lang.String` `getClassNameSuffux()`
`abstract GenDiagram` `getDiagram()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getDiagramRunTimeClass()`
`java.lang.String` `getEditPartClassName()` Returns the value of the 'Edit Part Class Name' attribute
`java.lang.String` `getEditPartClassNameGen()`
`java.lang.String` `getEditPartQualifiedClassName()`
`ElementType` `getElementType()`
`java.lang.String` `getItemSemanticEditPolicyClassName()` Returns the value of the 'Item Semantic Edit Policy Class Name' attribute
`java.lang.String` `getItemSemanticEditPolicyClassNameGen()`
`java.lang.String` `getItemSemanticEditPolicyQualifiedClassName()`
`ViewmapLayoutType` `getLayoutType()`
`java.lang.String` `getNotationViewFactoryClassName()` Returns the value of the 'Notation View Factory Class Name' attribute
`java.lang.String` `getNotationViewFactoryClassNameGen()`
`java.lang.String` `getNotationViewFactoryQualifiedClassName()`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass>` `getStyles()`
`java.lang.String` `getUniqueIdentifier()`
`Viewmap` `getViewmap()`
`int` `getVisualID()`
`abstract boolean` `isSansDomain()`
`void` `setDiagramRunTimeClass(org.eclipse.emf.codegen.ecore.genmodel.GenClass newDiagramRunTimeClass)`
`void` `setEditPartClassName(java.lang.String newEditPartClassName)`
`void` `setElementType(ElementType newElementType)`
`void` `setItemSemanticEditPolicyClassName(java.lang.String newItemSemanticEditPolicyClassName)`
`void` `setNotationViewFactoryClassName(java.lang.String newNotationViewFactoryClassName)`
`void` `setViewmap(Viewmap newViewmap)`
`void` `setVisualID(int newVisualID)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### diagramRunTimeClass

    protected org.eclipse.emf.codegen.ecore.genmodel.GenClass diagramRunTimeClass

  The cached value of the '`Diagram Run Time Class`' reference.

  See Also:
    `getDiagramRunTimeClass()`
  ** Generated **
  Ordered:

### VISUAL_ID_EDEFAULT

    protected static final int VISUAL_ID_EDEFAULT

  The default value of the '`Visual ID`' attribute.

  See Also:
    `getVisualID()`, Constant Field Values
  ** Generated **
  Ordered:

### visualID

    protected int visualID

  The cached value of the '`Visual ID`' attribute.

  See Also:
    `getVisualID()`
  ** Generated **
  Ordered:

### elementType

    protected ElementType elementType

  The cached value of the '`Element Type`' containment reference.

  See Also:
    `getElementType()`
  ** Generated **
  Ordered:

### EDIT_PART_CLASS_NAME_EDEFAULT

    protected static final java.lang.String EDIT_PART_CLASS_NAME_EDEFAULT

  The default value of the '`Edit Part Class Name`' attribute.

  See Also:
    `getEditPartClassName()`
  ** Generated **
  Ordered:

### editPartClassName

    protected java.lang.String editPartClassName

  The cached value of the '`Edit Part Class Name`' attribute.

  See Also:
    `getEditPartClassName()`
  ** Generated **
  Ordered:

### ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT

  The default value of the '`Item Semantic Edit Policy Class Name`' attribute.

  See Also:
    `getItemSemanticEditPolicyClassName()`
  ** Generated **
  Ordered:

### itemSemanticEditPolicyClassName

    protected java.lang.String itemSemanticEditPolicyClassName

  The cached value of the '`Item Semantic Edit Policy Class Name`' attribute.

  See Also:
    `getItemSemanticEditPolicyClassName()`
  ** Generated **
  Ordered:

### NOTATION_VIEW_FACTORY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String NOTATION_VIEW_FACTORY_CLASS_NAME_EDEFAULT

  The default value of the '`Notation View Factory Class Name`' attribute.

  See Also:
    `getNotationViewFactoryClassName()`
  ** Generated **
  Ordered:

### notationViewFactoryClassName

    protected java.lang.String notationViewFactoryClassName

  The cached value of the '`Notation View Factory Class Name`' attribute.

  See Also:
    `getNotationViewFactoryClassName()`
  ** Generated **
  Ordered:

### viewmap

    protected Viewmap viewmap

  The cached value of the '`Viewmap`' containment reference.

  See Also:
    `getViewmap()`
  ** Generated **
  Ordered:

### styles

    protected org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass> styles

  The cached value of the '`Styles`' reference list.

  See Also:
    `getStyles()`
  ** Generated **
  Ordered:

### behaviour

    protected org.eclipse.emf.common.util.EList<Behaviour> behaviour

  The cached value of the '`Behaviour`' containment reference list.

  See Also:
    `getBehaviour()`
  ** Generated **
  Ordered:

### SANS_DOMAIN_EDEFAULT

    protected static final boolean SANS_DOMAIN_EDEFAULT

  The default value of the '`Sans Domain`' attribute.

  See Also:
    `isSansDomain()`, Constant Field Values
  ** Generated **
  Ordered:

Constructor Detail

### GenCommonBaseImpl

    protected GenCommonBaseImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getDiagramRunTimeClass

    public org.eclipse.emf.codegen.ecore.genmodel.GenClass getDiagramRunTimeClass()

  Specified by:
    `getDiagramRunTimeClass` in interface `GenCommonBase`
  Returns:
    the value of the 'Diagram Run Time Class' reference.
  See Also:
    `GenCommonBase.setDiagramRunTimeClass(GenClass)`, `GMFGenPackage.getGenCommonBase_DiagramRunTimeClass()`
  ** Generated **

### basicGetDiagramRunTimeClass

    public org.eclipse.emf.codegen.ecore.genmodel.GenClass basicGetDiagramRunTimeClass()

  ** Generated **

### setDiagramRunTimeClass

    public void setDiagramRunTimeClass(org.eclipse.emf.codegen.ecore.genmodel.GenClass newDiagramRunTimeClass)

  Specified by:
    `setDiagramRunTimeClass` in interface `GenCommonBase`
  Parameters:
    `newDiagramRunTimeClass` - the new value of the 'Diagram Run Time Class' reference.
  See Also:
    `GenCommonBase.getDiagramRunTimeClass()`
  ** Generated **

### getVisualID

    public int getVisualID()

  Specified by:
    `getVisualID` in interface `GenCommonBase`
  Returns:
    the value of the 'Visual ID' attribute.
  See Also:
    `GenCommonBase.setVisualID(int)`, `GMFGenPackage.getGenCommonBase_VisualID()`
  ** Generated **

### setVisualID

    public void setVisualID(int newVisualID)

  Specified by:
    `setVisualID` in interface `GenCommonBase`
  Parameters:
    `newVisualID` - the new value of the 'Visual ID' attribute.
  See Also:
    `GenCommonBase.getVisualID()`
  ** Generated **

### getElementType

    public ElementType getElementType()

  Specified by:
    `getElementType` in interface `GenCommonBase`
  Returns:
    the value of the 'Element Type' containment reference.
  See Also:
    `GenCommonBase.setElementType(ElementType)`, `GMFGenPackage.getGenCommonBase_ElementType()`, `ElementType.getDiagramElement()`
  ** Generated **

### basicSetElementType

    public org.eclipse.emf.common.notify.NotificationChain basicSetElementType(ElementType newElementType,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setElementType

    public void setElementType(ElementType newElementType)

  Specified by:
    `setElementType` in interface `GenCommonBase`
  Parameters:
    `newElementType` - the new value of the 'Element Type' containment reference.
  See Also:
    `GenCommonBase.getElementType()`
  ** Generated **

### getEditPartClassNameGen

    public java.lang.String getEditPartClassNameGen()

  ** Generated **

### getEditPartClassName

    public java.lang.String getEditPartClassName()

  Description copied from interface: `GenCommonBase`
  Returns the value of the 'Edit Part Class Name' attribute.

  If the meaning of the 'Edit Part Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getEditPartClassName` in interface `GenCommonBase`
  Returns:
    the value of the 'Edit Part Class Name' attribute.
  See Also:
    `GenCommonBase.setEditPartClassName(String)`, `GMFGenPackage.getGenCommonBase_EditPartClassName()`

### setEditPartClassName

    public void setEditPartClassName(java.lang.String newEditPartClassName)

  Specified by:
    `setEditPartClassName` in interface `GenCommonBase`
  Parameters:
    `newEditPartClassName` - the new value of the 'Edit Part Class Name' attribute.
  See Also:
    `GenCommonBase.getEditPartClassName()`
  ** Generated **

### getItemSemanticEditPolicyClassNameGen

    public java.lang.String getItemSemanticEditPolicyClassNameGen()

  ** Generated **

### getItemSemanticEditPolicyClassName

    public java.lang.String getItemSemanticEditPolicyClassName()

  Description copied from interface: `GenCommonBase`
  Returns the value of the 'Item Semantic Edit Policy Class Name' attribute.

  If the meaning of the 'Item Semantic Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getItemSemanticEditPolicyClassName` in interface `GenCommonBase`
  Returns:
    the value of the 'Item Semantic Edit Policy Class Name' attribute.
  See Also:
    `GenCommonBase.setItemSemanticEditPolicyClassName(String)`, `GMFGenPackage.getGenCommonBase_ItemSemanticEditPolicyClassName()`

### setItemSemanticEditPolicyClassName

    public void setItemSemanticEditPolicyClassName(java.lang.String newItemSemanticEditPolicyClassName)

  Specified by:
    `setItemSemanticEditPolicyClassName` in interface `GenCommonBase`
  Parameters:
    `newItemSemanticEditPolicyClassName` - the new value of the 'Item Semantic Edit Policy Class Name' attribute.
  See Also:
    `GenCommonBase.getItemSemanticEditPolicyClassName()`
  ** Generated **

### getNotationViewFactoryClassNameGen

    public java.lang.String getNotationViewFactoryClassNameGen()

  ** Generated **

### getNotationViewFactoryClassName

    public java.lang.String getNotationViewFactoryClassName()

  Description copied from interface: `GenCommonBase`
  Returns the value of the 'Notation View Factory Class Name' attribute.

  If the meaning of the 'Notation View Factory Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getNotationViewFactoryClassName` in interface `GenCommonBase`
  Returns:
    the value of the 'Notation View Factory Class Name' attribute.
  See Also:
    `GenCommonBase.setNotationViewFactoryClassName(String)`, `GMFGenPackage.getGenCommonBase_NotationViewFactoryClassName()`

### setNotationViewFactoryClassName

    public void setNotationViewFactoryClassName(java.lang.String newNotationViewFactoryClassName)

  Specified by:
    `setNotationViewFactoryClassName` in interface `GenCommonBase`
  Parameters:
    `newNotationViewFactoryClassName` - the new value of the 'Notation View Factory Class Name' attribute.
  See Also:
    `GenCommonBase.getNotationViewFactoryClassName()`
  ** Generated **

### getViewmap

    public Viewmap getViewmap()

  Specified by:
    `getViewmap` in interface `GenCommonBase`
  Returns:
    the value of the 'Viewmap' containment reference.
  See Also:
    `GenCommonBase.setViewmap(Viewmap)`, `GMFGenPackage.getGenCommonBase_Viewmap()`
  ** Generated **

### basicSetViewmap

    public org.eclipse.emf.common.notify.NotificationChain basicSetViewmap(Viewmap newViewmap,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setViewmap

    public void setViewmap(Viewmap newViewmap)

  Specified by:
    `setViewmap` in interface `GenCommonBase`
  Parameters:
    `newViewmap` - the new value of the 'Viewmap' containment reference.
  See Also:
    `GenCommonBase.getViewmap()`
  ** Generated **

### getStyles

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass> getStyles()

  Specified by:
    `getStyles` in interface `GenCommonBase`
  Returns:
    the value of the 'Styles' reference list.
  See Also:
    `GMFGenPackage.getGenCommonBase_Styles()`
  ** Generated **

### getBehaviour

    public org.eclipse.emf.common.util.EList<Behaviour> getBehaviour()

  Specified by:
    `getBehaviour` in interface `GenCommonBase`
  Returns:
    the value of the 'Behaviour' containment reference list.
  See Also:
    `GMFGenPackage.getGenCommonBase_Behaviour()`, `Behaviour.getSubject()`
  ** Generated **

### isSansDomain

    public abstract boolean isSansDomain()

  Specified by:
    `isSansDomain` in interface `GenCommonBase`
  Returns:
    the value of the 'Sans Domain' attribute.
  See Also:
    `GMFGenPackage.getGenCommonBase_SansDomain()`
  ** Generated **
    NOT

### getClassNamePrefix

    public abstract java.lang.String getClassNamePrefix()

  Specified by:
    `getClassNamePrefix` in interface `GenCommonBase`
  ** Generated **
    NOT

### getClassNameSuffux

    public final java.lang.String getClassNameSuffux()

  Specified by:
    `getClassNameSuffux` in interface `GenCommonBase`
  ** Generated **
    NOT

### getUniqueIdentifier

    public final java.lang.String getUniqueIdentifier()

  Specified by:
    `getUniqueIdentifier` in interface `GenCommonBase`
  ** Generated **
    NOT

### getLayoutType

    public ViewmapLayoutType getLayoutType()

  Description copied from interface: `GenCommonBase`

  Specified by:
    `getLayoutType` in interface `GenCommonBase`
  ** Generated **
    NOT

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### getEditPartQualifiedClassName

    public java.lang.String getEditPartQualifiedClassName()

  Specified by:
    `getEditPartQualifiedClassName` in interface `GenCommonBase`
  ** Generated **
    NOT

### getItemSemanticEditPolicyQualifiedClassName

    public java.lang.String getItemSemanticEditPolicyQualifiedClassName()

  Specified by:
    `getItemSemanticEditPolicyQualifiedClassName` in interface `GenCommonBase`
  ** Generated **
    NOT

### getNotationViewFactoryQualifiedClassName

    public java.lang.String getNotationViewFactoryQualifiedClassName()

  Specified by:
    `getNotationViewFactoryQualifiedClassName` in interface `GenCommonBase`
  ** Generated **
    NOT

### getDiagram

    public abstract GenDiagram getDiagram()

  Specified by:
    `getDiagram` in interface `GenCommonBase`
  ** Generated **
    NOT

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### asJavaConstantName

    protected static java.lang.String asJavaConstantName(java.lang.String name)

### getBehaviour

    public <T extends Behaviour> java.util.List<T> getBehaviour(java.lang.Class<T> behaviourClass)

  Description copied from interface: `GenCommonBase`
  Filter list of behavior to instances of particular kind. Note, behaviour returned is not necessarily owned (think contained) by this element, as this method unwraps `SharedBehaviour`

  Specified by:
    `getBehaviour` in interface `GenCommonBase`
  Parameters:
    `behaviourClass` - should be Behaviour.class.isAssignableFrom(behaviourClass)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.